SocialPortalBridge (Social Portal ASL Extension 1.1.0-4.1.0-132891 API)
Date: 2016-10-27

org.gcube.applicationsupportlayer.social

## Class SocialPortalBridge

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.SocialPortalBridge

- Direct Known Subclasses:
    ApplicationNewsManager, ApplicationNotificationsManager

      public class SocialPortalBridge
      extends Object

  Author:
    Massimiliano Assante, ISTI-CNR superclass for notifications, posting news and so on

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.portal.databook.shared.ApplicationProfile` | `applicationProfile`
    `protected String` | `currGroupName`
    `protected String` | `currScope`
    `protected SocialNetworkingUser` | `currUser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialPortalBridge(String scope, SocialNetworkingUser currUser)`
    `SocialPortalBridge(String scope, SocialNetworkingUser currUser, String portletClassName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `escapeHtml(String html)` Escape an html string.
    `org.gcube.portal.databook.shared.ApplicationProfile` | `getApplicationProfile()`
    `protected String` | `getScopeByVREId(long vreid)`
    `static org.gcube.portal.databook.server.DatabookStore` | `getStoreInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currScope

          protected String currScope

    - #### currGroupName

          protected String currGroupName

    - #### currUser

          protected SocialNetworkingUser currUser

    - #### applicationProfile

          protected org.gcube.portal.databook.shared.ApplicationProfile applicationProfile

  - ### Constructor Detail

    - #### SocialPortalBridge

          public SocialPortalBridge(String scope,
                                    SocialNetworkingUser currUser)

      Parameters:
        `scope` - the current scope
        `currUser` - an instance of `SocialNetworkingUser` filled with the required user data

    - #### SocialPortalBridge

          public SocialPortalBridge(String scope,
                                    SocialNetworkingUser currUser,
                                    String portletClassName)

      Parameters:
        `scope` - the current scope
        `currUser` - an instance of `SocialNetworkingUser` filled with the required user data
        `portletClassName` - your application unique identifier registered in the infrastructure

  - ### Method Detail

    - #### getStoreInstance

          public static org.gcube.portal.databook.server.DatabookStore getStoreInstance()

      Returns:
        the unique instance of the store

    - #### getScopeByVREId

          protected String getScopeByVREId(long vreid)

    - #### escapeHtml

          protected String escapeHtml(String html)

      Escape an html string. Escaping data received from the client helps to prevent cross-site script vulnerabilities.
      Parameters:
        `html` - the html string to escape
      Returns:
        the escaped string

    - #### getApplicationProfile

          public org.gcube.portal.databook.shared.ApplicationProfile getApplicationProfile()

      Returns:
        the applicationProfile profile among the ones available in the infrastructure

Copyright © 2016. All Rights Reserved.